Subject: texmaker missing runtime dependency on gtk+

From: Josh Marshall <[email-masked]>
Date: Fri, 13 Oct 2023 13:18:37 -0400

When running texmaker and the user clicks the icon to open a file, if
the gtk+ package is missing it fails and crashes.  I forgot the exact
error, but it just fails to retrieve a gtk object or something.  This
may also have a hook into nautilus, but I haven't been doing much
testing on that front -- other priorities at home.  Should be a near
trivial fix and I should be able to do it if someone doesn't get to it
first.  I need to go through and re-learn the guix development setup
first.